Subject: [NSIS] Interdomain QoS signalling scenario

From: "Geib, Ruediger" <[email-masked]>
Date: Thu, 7 Mar 2002 13:43:06 +0100

Hi all,

Anders and I provided some discussions. Here's some more information to clarify my views:

A service is pre-defined by e.g. loss, delay, burst size or other parameters. Performance figures related to reference configuration are given thus allowing flexible service implementation architectures. This results in a service definition X. User requests a certain amount of bandwidth for service FOO. No negotiation on FOO's characteristics. No negotiation of the requested bandwidth (the requested value or nothing). The latter reflects my personal preference. The more negotiation of service parameters the more complex is the implementation.

Anders ideas may not be far from that. He suggested to limit the service related signaling to bandwidth and to use DiffServ ideas. DiffServ suggested to define Per Domain Behaviours as I scetched above (ITU uses the same methodology). I look at service definition as out of scope of NSIS. Signaling mechanisms must be flexible to support privately defined services as well as publicly defined services.

Queries on a service supported by a domain must be possible. By that I only mean a request whether FOO is supported on the interface the requestor is connected to. This is not a parameter negotioation. Should be easy if public services are queried. In the case of private services the terminal probably must be customer of the provider to get a response. If not, the service definition and use conditions were to be communicated to the terminal. I wouldn't want to specify this.
The query mechanism would be supported by AAA features.

Regards, Rüdiger  

_______________________________________________
nsis mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nsis